/**
 * PETALS - PETALS Services Platform. Copyright (c) 2005 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * ---------------------------------------------------------------------------
 * ---------------------------------------------------------------------------
 */
package org.ow2.petals.component.framework.notification;

import com.ebmwebsourcing.wsstar.addressing.definition.api.EndpointReferenceType;

/**
 * @author Frederic Gardes
 *
 */
public class NotificationProducerReferenceSet {
    private EndpointReferenceType publisherRegistrationReference = null;

    private EndpointReferenceType consumerReference = null;

    /**
     * Get the publisherRegistrationReference
     * 
     * @return the publisherRegistrationReference
     */
    public EndpointReferenceType getPublisherRegistrationReference() {
        return this.publisherRegistrationReference;
    }

    /**
     * Set the publisherRegistrationReference
     * 
     * @param publisherRegistrationReference
     *            the publisherRegistrationReference to set
     */
    public void setPublisherRegistrationReference(
            final EndpointReferenceType publisherRegistrationReference) {
        this.publisherRegistrationReference = publisherRegistrationReference;
    }

    /**
     * Get the consumerReference
     * 
     * @return the consumerReference
     */
    public EndpointReferenceType getConsumerReference() {
        return this.consumerReference;
    }

    /**
     * Set the consumerReference
     * 
     * @param consumerReference
     *            the consumerReference to set
     */
    public void setConsumerReference(final EndpointReferenceType consumerReference) {
        this.consumerReference = consumerReference;
    }
}
